<template>
  <div>
    <div class="container">
      <el-row type="flex" justify="center">
        <el-col :span="24">
          <h3 style="color: rgb(104,104,103);padding-top: 20px;padding-bottom: 20px;">视频运行监控</h3>
        </el-col>
      </el-row>

      <el-row type="flex" justify="center">
        <el-col :span="6" v-for="(item, index) in videoData" :key="index">
          <el-link @click="handleDetail(item)">
            <el-card style="width:150px;height: 150px;text-align: center;">
              <i style="font-size: 40px;padding: 15px;" :class="item.icon"></i>
              <div>{{ item.name }}</div>
            </el-card>
          </el-link>
        </el-col>
      </el-row>
      <br/>
      <el-row type="flex" justify="center">
        <el-col :span="6" v-for="(item, index) in videoData2" :key="index">
          <el-link @click="handleDetail(item)" :style="item.name == '' ? 'display:none' : ''">
            <el-card style="width:150px;height: 150px;text-align: center;">
              <i style="font-size: 40px;padding: 15px;" :class="item.icon"></i>
              <div>{{ item.name }}</div>
            </el-card>
          </el-link>
        </el-col>
      </el-row>
    </div>

    <div class="container">
      <el-row type="flex" justify="center">
        <el-col :span="24">
          <h3 style="color: rgb(104,104,103);padding-top: 20px;padding-bottom: 20px;">车辆运行监控</h3>
        </el-col>
      </el-row>

      <el-row type="flex">
        <el-col :span="6" v-for="(item, index) in carData" :key="index">
          <el-link @click="handleDetail(item)">
            <el-card style="width:150px;height: 150px;text-align: center;">
              <i style="font-size: 40px;padding: 15px;" :class="item.icon"></i>
              <div>{{ item.name }}</div>
            </el-card>
          </el-link>
        </el-col>
      </el-row>
      <br/>
      <el-row type="flex" justify="center">
        <el-col :span="6" v-for="(item, index) in carData2" :key="index">
          <el-link @click="handleDetail(item)" :style="item.name == '' ? 'display:none' : ''">
            <el-card style="width:150px;height: 150px;text-align: center;">
              <i style="font-size: 40px;padding: 15px;" :class="item.icon"></i>
              <div>{{ item.name }}</div>
            </el-card>
          </el-link>
        </el-col>
      </el-row>
    </div>

    <div class="container">
      <el-row type="flex" justify="center">
        <el-col :span="24">
          <h3 style="color: rgb(104,104,103);padding-top: 20px;padding-bottom: 20px;">人脸运行监控</h3>
        </el-col>
      </el-row>

      <el-row type="flex" justify="center">
        <el-col :span="6" v-for="(item, index) in faceData" :key="index">
          <el-link @click="handleDetail(item)">
            <el-card style="width:150px;height: 150px;text-align: center;">
              <i style="font-size: 40px;padding: 15px;" :class="item.icon"></i>
              <div>{{ item.name }}</div>
            </el-card>
          </el-link>
        </el-col>
      </el-row>
      <br/>
      <el-row type="flex" justify="center">
        <el-col :span="6" v-for="(item, index) in faceData2" :key="index">
          <el-link @click="handleDetail(item)" :style="item.name == '' ? 'display:none' : ''">
            <el-card style="width:150px;height: 150px;text-align: center;">
              <i style="font-size: 40px;padding: 15px;" :class="item.icon"></i>
              <div>{{ item.name }}</div>
            </el-card>
          </el-link>
        </el-col>
      </el-row>
    </div>
    <br/><br/><br/><br/>
  </div>
</template>

<script>
export default {
  data() {
    return {
      videoData: [
        { name: '平台在线', icon: 'el-icon-connection', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '一机一档', icon: 'el-icon-folder', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '点位在线', icon: 'el-icon-search', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '录像可用', icon: 'el-icon-turn-off', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '视频标注', icon: 'el-icon-place', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '重点指挥图像在线率', icon: 'el-icon-film', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
      ],
      videoData2: [
        { name: '视频图像资源安全管理', icon: 'el-icon-house', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '视频图像质量', icon: 'el-icon-set-up', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '', icon: 'el-icon-connection', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '', icon: 'el-icon-connection', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '', icon: 'el-icon-connection', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '', icon: 'el-icon-connection', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' }
      ],
      carData: [
        { name: '视图库对接稳定性', icon: 'el-icon-truck', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '点位在线率', icon: 'el-icon-truck', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '联网卡口设备目录一致率', icon: 'el-icon-truck', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '车辆卡口信息采集准确率', icon: 'el-icon-truck', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '车辆卡口设备抓拍数据完整性', icon: 'el-icon-truck', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '车辆卡口设备抓拍数据准确性', icon: 'el-icon-truck', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' }
      ],
      carData2: [
        { name: '车辆卡口设备时钟准确性', icon: 'el-icon-truck', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '车辆卡口设备抓拍数据上传及时性', icon: 'el-icon-truck', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '车辆卡口设备url可用性', icon: 'el-icon-truck', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '车辆卡口设备抓拍数据大图可用性', icon: 'el-icon-truck', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '', icon: 'el-icon-truck', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '', icon: 'el-icon-truck', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' }
      ],
      faceData: [
        { name: '视图库对接稳定性', icon: 'el-icon-alarm-clock', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '点位在线率', icon: 'el-icon-user', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '目录一致率', icon: 'el-icon-data-line', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '人脸卡口信息采集准确率', icon: 'el-icon-timer', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '设备抓拍图片合格性', icon: 'el-icon-money', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '设备抓拍图片时钟准确性', icon: 'el-icon-data-analysis', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
      ],
      faceData2: [
        { name: '抓拍人脸数据上传及时性', icon: 'el-icon-thumb', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '人脸卡口设备抓拍数据大图可用性', icon: 'el-icon-pie-chart', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '', icon: 'el-icon-data-line', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '', icon: 'el-icon-timer', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '', icon: 'el-icon-money', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
        { name: '', icon: 'el-icon-data-analysis', description: '描述信息', routerUrl: '/car/vehicle-data-monitor/index' },
      ]
    }
  },
  methods: {
    handleDetail(item) {
      this.$router.push({
        path: item.routerUrl,
        params: {
          id: item.id
        }
      })
    }
  }
}
</script>

<style scoped>
.container {
  width: 90%;
  margin: 10px auto;
}
</style>
